# sc::TwoBodyTwoCenterIntV3 Class Reference

This implements electron repulsion integrals involving two centers in the IntV3 library. More...

`#include <tbintv3.h>`

Inheritance diagram for sc::TwoBodyTwoCenterIntV3:

List of all members.

## Public Member Functions

| TwoBodyTwoCenterIntV3 (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, size_t storage)
int | log2_shell_bound (int, int)
| Return log base 2 of the maximum magnitude of any integral in a shell block obtained from compute_shell.
void | compute_shell (int, int)
| Given four shell indices, integrals will be computed and placed in the buffer.
size_t | storage_used ()
void | set_integral_storage (size_t storage)
| This storage is used to cache computed integrals.

## Protected Attributes

Ref< Int2eV3 > | int2ev3_

## Detailed Description

This implements electron repulsion integrals involving two centers in the IntV3 library.

## Member Function Documentation

void sc::TwoBodyTwoCenterIntV3::compute_shell | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Given four shell indices, integrals will be computed and placed in the buffer.

The first index corresponds to electron 1 and the second index corresponds to electron 2.

Implements sc::TwoBodyTwoCenterInt.

int sc::TwoBodyTwoCenterIntV3::log2_shell_bound | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Return log base 2 of the maximum magnitude of any integral in a shell block obtained from compute_shell.

An index of -1 for any argument indicates any shell.

Implements sc::TwoBodyTwoCenterInt.

The documentation for this class was generated from the following file:

- tbintv3.h